Emitted when there is an error synchronizing offline changes for a particular model up to th Convergence Server.

experimental

### Hierarchy

- OfflineModelSyncErrorEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- message
- model
- modelId
- name
- NAME

## Properties

### message

message: string

A message describing the error.

### Optionalmodel

model: RealTimeModel

The model the error originated form, if it was resyncing. This will be undefined, if the model was only being deleted. If present it can be used to capture the data from the model.

### modelId

modelId: string

The id of the model that caused the error.

### name

name: string = OfflineModelSyncErrorEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "offline_model_sync_error" = "offline_model_sync_error"